Package com.sun.jna.platform.win32

# Interface DdemlUtil.AdvstartHandler

Enclosing class:
  DdemlUtil

public static interface DdemlUtil.AdvstartHandler

## Method Summary

Modifier and Type
Method
Description
`boolean`
`onAdvstart(int transactionType, int dataFormat, Ddeml.HCONV hconv, Ddeml.HSZ topic, Ddeml.HSZ item)`
A server callback function should return TRUE to allow an advise loop on the specified topic name and item name pair, or FALSE to deny the advise loop.

## Method Details

### onAdvstart

boolean onAdvstart(int transactionType, int dataFormat, Ddeml.HCONV hconv, Ddeml.HSZ topic, Ddeml.HSZ item)
A server callback function should return TRUE to allow an advise loop on the specified topic name and item name pair, or FALSE to deny the advise loop. If the callback function returns TRUE, any subsequent calls to the DdePostAdvise function by the server on the same topic name and item name pair causes the system to send XTYP_ADVREQ transactions to the server.

Remarks

If a client requests an advise loop on a topic name, item name, and data format for an advise loop that is already established, the Dynamic Data Exchange Management Library (DDEML) does not create a duplicate advise loop but instead alters the advise loop flags (XTYPF_ACKREQ and XTYPF_NODATA) to match the latest request.

This transaction is filtered if the server application specified the CBF_FAIL_ADVISES flag in the DdeInitialize function.

Parameters:
  `transactionType` - uType - The transaction type.
  `dataFormat` - uFmt - The data format requested by the client.
  `hconv` - A handle to the conversation.
  `topic` - hsz1 - A handle to the topic name.
  `item` - hsz2 - A handle to the item name.
Returns:
  true if advise loop can be started